package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class DistintaFlussiInputNotSeda.
 * @see sicura.entities.DistintaFlussiInputNotSeda
 * @author Hibernate Tools
 */
@Stateless
public class DistintaFlussiInputNotSedaHome {

	private static final Log log = LogFactory.getLog(DistintaFlussiInputNotSedaHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(DistintaFlussiInputNotSeda transientInstance) {
		log.debug("persisting DistintaFlussiInputNotSeda instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(DistintaFlussiInputNotSeda persistentInstance) {
		log.debug("removing DistintaFlussiInputNotSeda instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public DistintaFlussiInputNotSeda merge(DistintaFlussiInputNotSeda detachedInstance) {
		log.debug("merging DistintaFlussiInputNotSeda instance");
		try {
			DistintaFlussiInputNotSeda result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public DistintaFlussiInputNotSeda findById(Integer id) {
		log.debug("getting DistintaFlussiInputNotSeda instance with id: " + id);
		try {
			DistintaFlussiInputNotSeda instance = entityManager.find(DistintaFlussiInputNotSeda.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
